### Class

# Gdk CairoContext

#### Description [src]

    abstract class Gdk.CairoContext : Gdk.DrawContext
    {
      /* No available fields */
    }

Represents the platform-specific draw context.

`GdkCairoContext`s are created for a surface using `gdk_surface_create_cairo_context()`, and the context can then be used to draw on that surface.

#### Ancestors

- GdkDrawContext
- GObject

#### Instance methods

###### gdk_cairo_context_cairo_create

Retrieves a Cairo context to be used to draw on the `GdkSurface` of `context`.

deprecated: 4.18

##### Methods inherited from GdkDrawContext (6)

###### gdk_draw_context_begin_frame

Indicates that you are beginning the process of redrawing `region` on the `context`‘s surface.

deprecated: 4.16

###### gdk_draw_context_end_frame

Ends a drawing operation started with gdk_draw_context_begin_frame().

deprecated: 4.16

###### gdk_draw_context_get_display

Retrieves the `GdkDisplay` the `context` is created for.

###### gdk_draw_context_get_frame_region

Retrieves the region that is currently being repainted.

deprecated: 4.16

###### gdk_draw_context_get_surface

Retrieves the surface that `context` is bound to.

###### gdk_draw_context_is_in_frame

Returns `TRUE` if `context` is in the process of drawing to its surface.

deprecated: 4.16

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GdkDrawContext (2)

###### Gdk.DrawContext:display

The `GdkDisplay` used to create the `GdkDrawContext`.

###### Gdk.DrawContext:surface

The `GdkSurface` the context is bound to.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.